MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025199Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-08-29 09:532018-11-07 17:11
Reporteraml 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025199: Bad tolerance edge generated by blend algorithm
DescriptionSee steps to reproduce section.
Steps To Reproducetest bugs modald_3 bug615
explode result E
tolerance result_21
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25199
Attached Files

- Relationships
parent of 0030351newmsv Instability of blend algorithm: the result of fillet operation has too big tolerance 
child of 0024589closedbugmaster Draw Harness - disable floating-point exceptions by default 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0031172)
git (administrator)
2014-08-29 10:19

Branch CR25199 has been created by aml.

SHA-1: d3681aa55f40991837108a15e4b01838eee5e406


Detailed log of new commits:

Author: aml
Date: Fri Aug 29 10:00:50 2014 +0400

    0025199: Bad tolerance edge generated by blend algorithm
    Fixed incorrect surface borders computing.
(0031173)
aml (developer)
2014-08-29 10:25

Dear abv,

Please check current state of CR25199 branch.

The root cause of bad tolerance is wrong borders used in adjust periodic.
(0031202)
abv (manager)
2014-08-29 18:27

No remarks, please test. Note that test bugs modalg_3 bug615 is expected to be OK now in all configurations; please check this and remove TODOs from it if confirmed.
(0031205)
git (administrator)
2014-08-29 18:41

Branch CR25199 has been updated forcibly by apv.

SHA-1: 767c30b9b04278e1a38a0286da115e90d1776bf0
(0031281)
mkv (tester)
2014-09-02 16:31

Dear BugMaster,
Branch CR25199 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 767c30b9b04278e1a38a0286da115e90d1776bf0

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 2 (2 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25199-master-occt/Debian60-64/bugs/modalg_5/bug25199.html [^]
http://occt-tests/CR25199-master-occt/Windows-32-VC10/bugs/modalg_5/bug25199.html [^]
bugs modalg_5(010) bug25199: OK

Testing on Linux:
occt component :
Total MEMORY difference: 353563676 / 353613160
Total CPU difference: 44930.039999999964 / 44814.12999999998
products component :
Total MEMORY difference: 109103012 / 109158944
Total CPU difference: 18876.689999999988 / 17204.64000000002

Testing on Windows:
occt component :
Total MEMORY difference: 241503376 / 241449048
Total CPU difference: 33135.890625 / 34905.09375
products component :
Total MEMORY difference: 66556024 / 66471812
Total CPU difference: 10503.5 / 10985.390625

There are no differences in images found by testdiff.
(0031282)
git (administrator)
2014-09-02 16:33

Branch CR25199 has been updated by mkv.

SHA-1: f657b969cfe286673f0960a57d3544f5f1adb805


Detailed log of new commits:

Author: mkv
Date: Tue Sep 2 16:33:23 2014 +0400

    Test cases for issue CR25199

(0031486)
git (administrator)
2014-09-08 15:52

Branch CR25199 has been deleted by inv.

SHA-1: f657b969cfe286673f0960a57d3544f5f1adb805

- Related Changesets
occt: master 31cf9c5f
Timestamp: 2014-09-04 09:59:05
Author: aml
Committer: bugmaster
Details ] Diff ]
0025199: Bad tolerance edge generated by blend algorithm

Fixed incorrect surface borders computing.

Test cases for issue CR25199
mod - src/GeomInt/GeomInt_IntSS_1.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug25199 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-29 09:53 aml New Issue
2014-08-29 09:53 aml Assigned To => aml
2014-08-29 09:54 aml Relationship added child of 0024589
2014-08-29 10:19 git Note Added: 0031172
2014-08-29 10:25 aml Note Added: 0031173
2014-08-29 10:25 aml Assigned To aml => abv
2014-08-29 10:25 aml Status new => resolved
2014-08-29 18:27 abv Note Added: 0031202
2014-08-29 18:27 abv Assigned To abv => bugmaster
2014-08-29 18:27 abv Status resolved => reviewed
2014-08-29 18:41 git Note Added: 0031205
2014-09-02 16:31 mkv Note Added: 0031281
2014-09-02 16:32 mkv Test case number => bugs modalg_5(010) bug25199
2014-09-02 16:32 mkv Status reviewed => tested
2014-09-02 16:33 git Note Added: 0031282
2014-09-05 14:09 bugmaster Changeset attached => occt master 31cf9c5f
2014-09-05 14:09 bugmaster Status tested => verified
2014-09-05 14:09 bugmaster Resolution open => fixed
2014-09-08 15:52 git Note Added: 0031486
2014-09-11 10:56 bugmaster Target Version => 6.8.0
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed
2018-11-07 17:11 jgv Relationship added parent of 0030351


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker